.c-video {
  width: 100%;
  overflow:hidden; 
  padding-bottom:56.25%; 
  position:relative; 
  height:0;

  &__visual {
    z-index: 9;
    position: absolute;
    width: 100%;
    left: 0; 
    top: 0; 
    height: 100%;
    width: 100%;
    transition: all 0.2s ease-in-out;

    &--hide {
      opacity: 0;
      pointer-events: none;
    }

    &__img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }

    &__btn {
      z-index: 10;
      position: absolute;
      top: 50%;
      left: 50%;
      width: 6rem;
      height: 6rem;
      border: 0;
      border-radius: 50%;
      background-color: $white;
      transform: translate(-50%, -50%);
      cursor: pointer;
      transition: all 0.2s ease-in-out;

      @include sm {
        width: 8rem;
        height: 8rem;
      }

      @include md {
        width: 10rem;
        height: 10rem;
      }

      &__icon {
        color: $blue;
        font-size: 2rem;

        @include sm {
          font-size: 3.5rem;
        }  
      }

      &::before {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        opacity: 0;
        border-radius: 50%;
        background-color: transparent;
        box-shadow: 0 0 3rem 0 rgba($black, 0.2);
        transition: all 0.2s ease-in-out;
      }
      
      @include lg {
        &:hover {
          transform: translate(-49%, -51%);
  
          &::before {
            opacity: 1;
          }
        }
      }
    }
  }

  &__iframe {
    width: 100%;
    left:0; 
    top:0; 
    height:100%;
    width:100%;
    position:absolute;
  }
}